For the complete documentation index, see llms.txt. This page is also available as Markdown.

Crash Event

All crash event endpoints

Get a list of Application Instance crash events

get
Authorizations
PRIVATE-TOKENstringRequired
Query parameters
filterstringOptional

You can filter based on following parameters

  • deploymentEnvironmentId
  • fleetId
  • hostId
  • applicationId
  • applicationBuildId
  • applicationInstanceId
Header parameters
RANGED-DATAstringRequired

Example header and default range: RANGED-DATA:start=0,results=25

Responses
200

OK

application/json
idstringRead-onlyRequired

Crash event ID

hostIdinteger · integerRead-onlyRequired

Host ID (Dedicated Server ID)

deploymentEnvironmentIdstringRead-onlyRequired

Deployment environment ID to which the fleet is assigned

fleetIdinteger · integerRead-onlyRequired

ID of the fleet

applicationIdstringRead-onlyRequired

Application install assigned to applicationId

applicationBuildIdstringRead-onlyRequired

ID of the application build

applicationBuildExecutablestringRead-onlyRequired

Executable of the application build

applicationBuildStartParamsstringRead-onlyRequired

Start parameters of the application build

exitCodeinteger · integerRead-onlyRequired

Exit code of the application instance

createdAtinteger · integerRead-onlyRequired

Application install created at timestamp

get/v3/crash
GET /v3/crash HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
RANGED-DATA: text
Accept: */*
[
  {
    "id": "text",
    "hostId": 1,
    "deploymentEnvironmentId": "text",
    "fleetId": 1,
    "applicationId": "text",
    "applicationBuildId": "text",
    "applicationBuildExecutable": "text",
    "applicationBuildStartParams": "text",
    "exitCode": 1,
    "deploymentEnvironment": {
      "id": "text",
      "name": "text",
      "createdAt": 1
    },
    "fleet": {
      "id": "text",
      "name": "text",
      "deploymentEnvironmentId": "text",
      "deploymentProfileId": "text",
      "gameDeploymentTemplateId": "text",
      "utilityDeploymentTemplateId": "text",
      "dependencyDeploymentTemplateId": "text",
      "hostCapacityTemplateId": "text",
      "operationalStatus": 1,
      "isGameLift": true
    },
    "applicationInstance": {
      "id": "text",
      "deploymentEnvironmentId": "text",
      "deploymentEnvironmentName": "text",
      "fleetId": "text",
      "fleetName": "text",
      "hostId": 1,
      "isVirtual": 1,
      "applicationId": "text",
      "applicationName": "text",
      "applicationType": 1,
      "applicationBuildId": "text",
      "applicationBuildName": "text",
      "dcLocationId": 1,
      "dcLocationName": "text",
      "regionId": "text",
      "regionName": "text",
      "status": 1,
      "createdAt": 1,
      "startedAt": 1,
      "stoppedAt": 1,
      "pid": 1,
      "pidChangedAt": 1,
      "startupParams": "text",
      "executable": "text",
      "manuallyDeployed": 1,
      "properties": [
        {
          "id": "text",
          "propertyType": 1,
          "propertyKey": "text",
          "propertyValue": "text"
        }
      ],
      "ipAddress": [
        {
          "ipAddress": "text",
          "ipVersion": 1,
          "private": 1
        }
      ],
      "labelReadOnly": [
        {
          "key": "text",
          "value": "text"
        }
      ],
      "labelPublic": [
        {
          "key": "text",
          "value": "text"
        }
      ],
      "metadata": [
        {
          "key": "text",
          "value": "text"
        }
      ],
      "numPlayersMax": 1,
      "numPlayers": 1,
      "liveHostName": "text",
      "liveMap": "text",
      "liveGameVersion": "text",
      "updatedAt": 1,
      "liveRules": "text",
      "autoRestart": 1,
      "markedForDeletion": 1,
      "arcusAvailable": 1
    },
    "applicationInstanceConfiguration": [
      {
        "id": "text",
        "applicationInstanceId": "text",
        "applicationBuildConfigurationId": "text",
        "configPath": "text",
        "configName": "text",
        "configContent": "text",
        "updatedAt": 1,
        "active": 1
      }
    ],
    "applicationInstanceMetadata": [
      {
        "key": "text",
        "value": "text"
      }
    ],
    "createdAt": 1
  }
]

Last updated

Was this helpful?